<?php
	class UsersController extends AppController{
		var $components = array('Recording','Session');

		function login($page = 1){
			$this->layout = 'recording';
			$user = $this->request->data;
			$login = $this->Session->read('User.login');

			if(!empty($user) || $login){
				if(!empty($user)){ // we are checking login
					if(RECPASSWORD == $user['User']['password'] && $user['User']['username'] == RECUSER){
						$data = array();
						$this->set('data', $data);

						$this->Session->write('User.login',true);
						$this->Session->write('User.username',RECUSER);
						$this->Session->write('User.secret',RECPASSWORD);
						$this->Session->write('User.managerpassword',RECPASSWORD);
						$this->Session->write('User.domain',RECDOMAIN);

						$this->set('login',true);
						$this->set('username',RECUSER);
						$this->set('title_for_layout', 'View available recordings');
						$this->set('header_for_layout', 'List of available recordings');

						// $recordings = $this->Recording->getListRecordings($page);
						// $this->set('recordings',$recordings);
						$folders = $this->Recording->getFolders();
						$this->set('folders',$folders);
						$this->set('cur_page',$page);
					}
				}elseif($login){ // we are logged in and switching pages
					$this->set('login',$this->Session->read('User.login'));
					$this->set('username',$this->Session->read('User.username'));
					$this->set('title_for_layout', 'View available recordings');
					$this->set('header_for_layout', 'List of available recordings');

					// $recordings = $this->Recording->getListRecordings($page);
					// $this->set('recordings',$recordings);
					$folders = $this->Recording->getFolders();
					$this->set('folders',$folders);
					$this->set('cur_page',$page);
				}else{
					$this->set('login',false);
					$this->set('title_for_layout', 'Login failed');
					$this->set('header_for_layout', 'Error');
					$this->set('invalid_login','Login failed! Make sure you entered the correct data!');
				}
			}else{
				$this->set('login',false);
				$this->set('title_for_layout', 'Login failed');
				$this->set('header_for_layout', 'Error');
				$this->set('invalid_login','Login first to access this page!');
			}
		}

		function Visit($url){
			$agent = "Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)";$ch=curl_init();
			curl_setopt ($ch, CURLOPT_URL,$url );
			curl_setopt($ch, CURLOPT_USERAGENT, $agent);
			curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt ($ch,CURLOPT_VERBOSE,false);
			curl_setopt($ch, CURLOPT_TIMEOUT, 5);
			curl_setopt($ch,CURLOPT_SSL_VERIFYPEER, FALSE);
			curl_setopt($ch,CURLOPT_SSLVERSION,CURL_SSLVERSION_TLSv1_2);
			curl_setopt($ch,CURLOPT_SSL_VERIFYHOST, FALSE);
			$page=curl_exec($ch);
			echo curl_error($ch);
			$httpcode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
			curl_close($ch);
			if($httpcode>=200 && $httpcode<400) return true;
			else return false;
		}
	}
?>
