<?php
	if($login){
		echo $this->Html->para(null, "You are logged in as $username. "
			.$this->Html->link(
				"Logout",
				array('controller' => 'calls', 'action' => "logout")
			)
		);
		echo $this->Form->create('Call');
/*
		echo $this->Html->link(
				'Download oldest 30, keep on server',
				array('controller' => 'calls', 'action' => 'download/0'),
				array('target' => '_blank')
			);
		echo " | " . $this->Html->link(
				'Download oldest 30, delete on server',
				array('controller' => 'calls', 'action' => 'download/1'),
				array('target' => '_blank')
			);
*/
?>
		<table>
<?php
		// folder pagination
		if($cur_page != 1){
			echo $this->Html->link(
				"<<",
				array('controller' => 'users', 'action' => "login/1")
			);
			echo "&nbsp;";
			echo $this->Html->link(
				"<",
				array('controller' => 'users', 'action' => "login/".($cur_page-1))
			);
			echo "&nbsp;";
		}

		$page = 0; $months_listed = array(); krsort($folders); // we want newest entries on top
		foreach($folders AS $month => $folder){
			if(!in_array($month,$months_listed)){
				$page++;
				if($page == $cur_page){
					if($page != 1) echo " | ";
					echo date('F Y', strtotime($month));
					$cur_month = $month;
				}else{
					if($page != 1) echo " | ";
					echo $this->Html->link(
						date('F Y', strtotime($month)),
						array('controller' => 'users', 'action' => "login/$page")
					);
				}
				$months_listed[] = $month;
			}
		}

		if($cur_page != $page && $page != 0){
			echo "&nbsp;";
			echo $this->Html->link(
				">",
				array('controller' => 'users', 'action' => "login/".($cur_page+1))
			);
			echo "&nbsp;";
			echo $this->Html->link(
				">>",
				array('controller' => 'users', 'action' => "login/$page")
			);

		}

		echo $this->Html->tableHeaders(array('#','Date','Total size'));
		$line = 0;
		krsort($folders[$cur_month]); // we want newest entries on top
		foreach($folders[$cur_month] AS $folder => $foldersize){
			$line++;
			// date folders
			$folder_link = $this->Html->link(
				$folder,
				array('controller' => 'calls', 'action' => "recordings/$folder/1")
			);

			// folder size
			$unit = 'kB';
			while(strlen(round($foldersize))>3){
				$foldersize /= 1024;
				if($unit == 'kB') $unit = 'MB';
				elseif($unit == 'MB'){ $unit = 'GB'; break; } // we don't go higher than GB (which shouldn't ever happen anyway)
			}

			echo $this->Html->tableCells(array(array($line,$folder_link,round($foldersize,2)." $unit")));
		}
/*
		$line = 0; // current line
		$max_lines = 30; // max lines per page
		$pages = ceil(count($recordings)/$max_lines); // total pages
		$start_index = $max_lines * ($cur_page - 1); // 0, 30, 60, ...
		$end_index = ($max_lines * $cur_page) - 1; // 29, 59, 89, ...
		if($end_index > count($recordings)-1) $end_index = count($recordings) - 1; // if there arent 30 entries for $cur_page, set $end_index to $recordings last index

		for($page=1;$page<=$pages;$page++){
		}
		if($cur_page != $pages){
			echo $this->Html->link(
				" > ",
				array('controller' => 'users', 'action' => "login/".($cur_page+1))
			);

			echo $this->Html->link(
				" >> ",
				array('controller' => 'users', 'action' => "login/$pages")
			);
		}

		echo $this->Html->tableHeaders(array('#','Date','Time','From','To','Duration','Size','Download options'));
		for($i=$start_index;$i<=$end_index;$i++){
			$line++; $recording = $recordings[count($recordings)-1-$i]; // newest calls are in last indexes, so we go from last index to first index

			// download options
			$download = $this->Html->link(
				'Download, keep on server',
				array('controller' => 'calls', 'action' => 'download/0/'.urlencode($recording)),
				array('target' => '_blank')
			);
			$download .= " | " . $this->Html->link(
				'Download, delete on server',
				array('controller' => 'calls', 'action' => 'download/1/'.urlencode($recording)),
				array('target' => '_blank')
			);

			echo $this->Html->tableCells(array(array($line,$date,$time,$from,$to,$duration,$size,$download)));
		}
*/
?>
		</table>
<?php
	}else{
		$url = $this->Html->url('/calls', array('fullBase' => true));
		header('Refresh: 3; URL='.$url);
		// $this->Html->para(null,$invalid_login);
?>
		<p><?php echo $invalid_login; ?></p>
<?php
	}
?>
